summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python/astor/astor-0.4.ebuild')
-rw-r--r--dev-python/astor/astor-0.4.ebuild29
1 files changed, 29 insertions, 0 deletions
diff --git a/dev-python/astor/astor-0.4.ebuild b/dev-python/astor/astor-0.4.ebuild
new file mode 100644
index 00000000000..c47e1ccbd61
--- /dev/null
+++ b/dev-python/astor/astor-0.4.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+PYTHON_COMPAT=( python{2_7,3_3,3_4} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Read/rewrite/write Python ASTs"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+HOMEPAGE="http://pypi.python.org/pypi/astor"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+ #avoid file collisions picked up by the eclass
+ sed -e s":find_packages():find_packages(exclude=['tests']):" -i setup.py || die
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ "${PYTHON}" -m unittest discover || die "tests failed under ${EPYTHON}"
+}